=== debian/changelog ===
bcg729 (1.0.4) bionic; urgency=medium

  * Internal release for Ubuntu 18.04 LTS

 -- Thomas Lobker <thomas@mediaserve.nl>  Sat, 13 Oct 2018 14:46:18 +0000
