=== debian/control ===
Source: bcg729
Priority: optional
Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
Uploaders: Mark Purcell <msp@debian.org>, Kilian Krause <kilian@debian.org>, Tzafrir Cohen <tzafrir@debian.org>
Build-Depends:
 debhelper (>= 9),
 autotools-dev,
 dh-autoreconf,
 pkg-config,
 unzip, wget
Standards-Version: 3.9.6
Section: libs
Homepage: http://www.linphone.org/technical-corner/bcg729/overview
Vcs-Browser: https://github.com/BelledonneCommunications/bcg729
Vcs-Git: git://git.linphone.org/bcg729.git

Package: libbcg729-0
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Description: ITU G.729 Annex A compatible audio codec
 Bcg729 is an open source implementation of the ITU G729 Annex A
 speech codec. Written in C 99, the library is fully portable. It
 runs on many platforms, including ARM and x86.
 .
 Bcg729 supports concurrent channels encoding/decoding for multi
 call application such as conferencing.
 .
 The project was developed as part of mediastreamer2, Linphone's
 media processing engine.

Package: libbcg729-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libbcg729-0 (= ${binary:Version}),
 ${misc:Depends}
Description: Development files for the ITU G.729 compatible audio codec
 Bcg729 is an open source implementation of the ITU G729 Annex A
 speech codec. Written in C 99, the library is fully portable. It
 runs on many platforms, including ARM and x86.
 .
 This package contains the development files.

Package: libbcg729-0-dbg
Architecture: any
Multi-Arch: same
Section: debug
Priority: extra
Depends:
 libbcg729-0 (= ${binary:Version}),
 ${misc:Depends}
Description: Debug symbols for the ITU G.729 compatible audio codec
 Bcg729 is an open source implementation of the ITU G729 Annex A
 speech codec. Written in C 99, the library is fully portable. It
 runs on many platforms, including ARM and x86.
 .
 This package contains the debugging symbols.
