=== debian/changelog ===
bcg729 (1.1.1-3) unstable; urgency=medium

  * cmake patches from upstream
  * static libs no longer provided
  * provide cmake files on -dev package (Closes: #986407, #1044023)
  * update copyright, remove tzafrir from Uploaders
  * pkg-config => pkgconf
  * Use secure copyright file specification URI.
  * Move source package lintian overrides to debian/source.
  * Update renamed lintian tag names in lintian overrides.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
  * Update standards version to 4.6.2, no changes needed.
  * Set upstream metadata fields: Repository.
  * debian/rules: BUILD_SHARED_LIBS=ON
  * build with fresh ortp (Closes: #1094044)

 -- Victor Seva <vseva@debian.org>  Fri, 07 Feb 2025 08:42:06 +0100

bcg729 (1.1.1-2) unstable; urgency=medium

  * update Standards-Version, no changes needed
  * use build options as described on upstream's
    documentation

 -- Victor Seva <vseva@debian.org>  Tue, 08 Dec 2020 09:30:28 +0100

bcg729 (1.1.1-1) unstable; urgency=medium

  [ Manuel A. Fernandez Montecelo ]
  * Non-maintainer upload (for merge-request purposes)
  * New upstream release
    - mediastreamer plugin not shipped separately
    - license change to GPL-3+
  * Bump debhelper compat level to 13
  * Use cmake as build system, the one supported by default by upstream
  * Enable DEB_BUILD_MAINT_OPTIONS = hardening=+all

  [ Felix Lechner ]
  * Ship .la file for mediastreamer plugin
  * Use proper multiarch path in rules
  * Change transport in watch file to plain http for PET3
  * Pointed Vcs: fields in control to debian repo, not upstream

  [ Victor Seva ]
  * update debian/watch
  * New upstream version 1.0.4

  [ Felix Lechner ]
  * Initial release (Closes: #785480)

 -- Victor Seva <vseva@debian.org>  Wed, 02 Dec 2020 10:58:36 +0100
