## bcg729 1.1.1+provoice1

=== debian/changelog ===
bcg729 (1.1.1+provoice1) focal; urgency=medium

  * Release for ProVoice on Ubuntu 20.04 LTS

 -- Thomas Lobker <thomas@mediaserve.nl>  Tue, 09 Mar 2021 14:54:40 +0000
