=== debian/control ===
--- 
+++ 
@@ -3,12 +3,13 @@
 Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
 Uploaders:
  Victor Seva <vseva@debian.org>,
+ Tzafrir Cohen <tzafrir@debian.org>,
 Build-Depends:
  cmake,
- debhelper-compat (= 13),
+ debhelper-compat (= 12),
  libortp-dev,
- pkgconf,
-Standards-Version: 4.6.2
+ pkg-config,
+Standards-Version: 4.5.0
 Section: libs
 Homepage: https://github.com/BelledonneCommunications/bcg729
 Vcs-Browser: https://salsa.debian.org/pkg-voip-team/bcg729/
